[
    {
        "from": "/NotifyShipment",
        "description": "main-tag, not written, does not need to-tag"
    },
    {
        "from": "ApplicationArea/Sender/LogicalID",
        "to": "",
        "description": "Sender identification",
        "mandatory": true
    },
    {
        "from": "ApplicationArea/Sender/ReferenceID",
        "to": "",
        "description": "Transaction number",
        "not_in_use": false
    },
    {
        "from": "ApplicationArea/Receiver/LogicalID",
        "to": "",
        "description": "Receiver identification",
        "mandatory": true
    },
    {
        "from": "ApplicationArea/CreationDateTime",
        "to": "",
        "description": "Message creation date and time",
        "mandatory": true,
        "not_in_use": false
    },
    {
        "from": "DataArea/Acknowledge/ResponseCriteria/ResponseExpression[@actionCode=\"documentType\"]",
        "to": "",
        "description": "Order type",
        "mandatory": true,
        "not_in_use": false
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryHeader/DocumentID/ID",
        "to": "",
        "description": "Order number",
        "mandatory": true,
        "not_in_use": false
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryHeader/Note[@type=\"passThrough\" @status=\"commentID\"]",
        "to": "",
        "description": "Pass through information from Purchase order header"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryHeader/DocumentReference[@type=\"customersReference\"]/DocumentID/ID",
        "to": "",
        "description": "Customer’s reference"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryHeader/DocumentReference[@type=\"invoiceNumber\"]/DocumentID/ID",
        "to": "",
        "description": "Invoice number"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryHeader/DocumentReference[@type=\"backendOrder\"]/PurchaseOrderReference/DocumentID/ID",
        "to": "",
        "description": "Backend order number"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryHeader/ActualDeliveryDateTime",
        "to": "",
        "description": "Arrival date to the warehouse"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryHeader/Party[@role=\"supplier\"]/Contact/Address/ID",
        "to": "",
        "description": "Supplier number"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/ItemID/ID Product ID string",
        "to": "",
        "description": "Product ID"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/SupplierItemID/ID Supplier product ID string",
        "to": "",
        "description": "Supplier product ID"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/Note[@type=\"passThrough\" @status=\"commentID\"]",
        "to": "",
        "description": "Pass through information from Purchase order line"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/Note[@type=\"warehouseNote\"]",
        "to": "",
        "description": "Warehouse note"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/Packaging[@type=\"european\"]/Type",
        "to": "",
        "description": "Type of EAN code"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/Packaging[@type=\"european\"]/UPCPackagingLevelCode[@name=\"EAN\"]",
        "to": "",
        "description": "EAN code"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/SerializedLot/Lot/LotIDs/ID[@sequencename=\"supplier\"]",
        "to": "",
        "description": "Supplier lot number"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/SerializedLot/Lot/LotIDs/ID[@sequencename=\"internal\"]",
        "to": "",
        "description": "Backend lot number"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/SerializedLot/Lot/LotIDs/ID[sequenceName=\"trackingID\" @sequence=\"1\"]",
        "to": "",
        "description": "Package tracking ID"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/SerializedLot/Lot/EffectiveTimePeriod/EndDateTime",
        "to": "",
        "description": "Best before date for this lot"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/SerializedLot/Lot/Quantity[@unitCode=\"PCE\"]",
        "to": "",
        "description": "Quantity"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/SerializedLot/Lot/SerialNumber",
        "to": "",
        "description": "Serial number for item"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/SerializedLot/Lot/Disposition/Code",
        "to": "",
        "description": "Location in warehouse"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/DocumentReference[@type=\"line\"]/LineNumber",
        "to": "",
        "description": "Purchase order line number"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/DocumentReference[@type=\"supplierDeliveryNote\"]/DocumentID/ID",
        "to": "",
        "description": "Supplier delivery note text"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/DocumentReference[@type=\"supplierWaybillNumber\"]/DocumentID/ID",
        "to": "",
        "description": "Supplier waybill number"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryItem/Status/ReasonCode",
        "to": "",
        "description": "Code for deviation"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryUnit/TrackingID",
        "to": "",
        "description": "Tracking ID for delivery unit"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryUnit/ShipUnitSequenceID",
        "to": "",
        "description": "Ship unit sequence"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryUnit/Type",
        "to": "",
        "description": "Delivery unit type"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryUnit/GrossWeightMeasure[@unitCode=\"GRM\"]",
        "to": "",
        "description": "Delivery unit gross weight"
    },
    {
        "from": "DataArea/ReceiveDelivery/ReceiveDeliveryUnit/TotalVolumeMeasure[@unitCode=\"MTQ\"]",
        "to": "",
        "description": "Delivery unit total volume"
    }
]
